[tool.poetry]
name = "web_back"
version = "1.0.0"
description = "WEB Back-end of Chart Painter (test task)"
authors = ["Alexey <DrMartiner@GMail.Com>"]

[tool.poetry.dependencies]
python = "3.7.4"
gunicorn = "^20.0"
psycopg2-binary = "^2.8"
Pillow = "^6.2"
Django = "^3.0"
django-environ = "^0.4.5"
dj-database-url = "^0.5.0"
django-split-settings = "^1.0"
djangorestframework = "^3.10"
celery = "^4.3"
redis = "^3.3"
django-solo = "^1.1"
django-filter = "^2.2"
drf-dynamic-fields = "^0.3.1"
django-rest-swagger = "^2.2"
drf-yasg = "^1.17"
flex = "^6.14"
swagger-spec-validator = "^2.4"
djoser = "^2.0.3"
django-jsoneditor = "^0.1.4"
pika = "^1.1.0"

[tool.poetry.dev-dependencies]
isort = "^4.3"
mock = "^3.0"
django-dynamic-fixture = {git = "https://github.com/DrMartiner/django-dynamic-fixture"}

[tool.black]
line-length = 120
exclude = '''
/(
    \.eggs
  | \.git
  | data/
  | dist
)/
'''
[build-system]
